| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | Protected Member Functions | List of all members
Tp::HandledChannelNotifier Class Reference
Channel proxies

The HandledChannelNotifier class can be used to keep track of channel() being re-requested. More...

`#include <TelepathyQt/HandledChannelNotifier>`

Inherits QObject.

## Signals

void | handledAgain (const QDateTime &userActionTime, const Tp::ChannelRequestHints &requestHints)

## Public Member Functions

| ~HandledChannelNotifier ()
ChannelPtr | channel () const

## Protected Member Functions

void | connectNotify (const QMetaMethod &signal)

## Detailed Description

The HandledChannelNotifier class can be used to keep track of channel() being re-requested.

Instances of this class cannot be constructed directly; the only way to get one is trough PendingChannel.

## Constructor & Destructor Documentation

Tp::HandledChannelNotifier::~HandledChannelNotifier | ( |  | ) |

## Member Function Documentation

ChannelPtr Tp::HandledChannelNotifier::channel | ( |  | ) | const

void Tp::HandledChannelNotifier::handledAgain | ( | const QDateTime & | userActionTime,
|  | const Tp::ChannelRequestHints & | requestHints
| ) |  |

signal

void Tp::HandledChannelNotifier::connectNotify | ( | const QMetaMethod & | signal | ) |

protected